RIGD(8)

NAME
rigd - Hamlib rig service daemon

SYNOPSIS
rpc.rigd [OPTION]...

DESCRIPTION
The rigd program is a Hamlib rig daemon that handles RPC client requests.

Keep in mind that Hamlib is still ALPHA level software. A lof of stuff hasn't been tested thoroughly, and the API may change without publicised notice. Please report bugs and feedback at the e-mail address given in the REPORTING BUGS section.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m, --model=id
    Select radio model number. See model list.

-r, --rig-file=device
    Use device as the file name of the radio to operate on.

-p, --ptt-file=device
    Use device as the file name of the Push-To-Talk device to operate on.

-d, --dcd-file=device
    Use device as the file name of the Data Carrier Detect device to operate on.

-p, --ptt-type=type
    Use type device as the kind of the Push-To-Talk device to operate on. Supported types are RIG, DTR, RTS, PARALLEL, NONE.

-d, --dcd-type=type
    Use type device as the kind of the Data Carrier Detect device to operate on. Supported types are RIG, DSR, CTS, CD, PARALLEL, NONE.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximal rig speed as default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the rig. Only for Icom rigs.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter.

-t, --prog=number
    Use number as the RPC program number. The default is 536871065.

-v, --verbose
    Set verbose mode, cumulative (BUG, ERR, WARN, VERBOSE, TRACE).

-h, --help
    Show summary of options and exit.

-V, --version
    Show version of program and exit.

Please note that the backend for the radio to be controlled, or the radio itself may not support some commands. In that case, the operation will fail with a standard error code.

AUTHOR
Written by Stephane Fillod.

BUGS
No authentication whatsoever. Could be done through domain restriction though. Please ask if stronger security needed.

Does not support more than one rig that share the same serial port (e.g. Icom's on a CI-V bus).

REPORTING BUGS
Report bugs to <hamlib-developer@users.sourceforge.net>.
I'm already aware of the bug in the previous section :-)

COPYRIGHT
Copyright © 2000-2002 Stephane Fillod.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rigctl(1)